Class | Spec::Runner::Reporter::Failure
In: | lib/spec/runner/reporter.rb
Parent: | Object

### Methods

example_name expectation_not_met? header new pending_fixed?

### Attributes

example | [R] |
exception | [R] |

### Public Class methods

new(example, exception)

[Source]

         # File lib/spec/runner/reporter.rb, line 117
    117:         def initialize(example, exception)
    118:           @example = example
    119:           @exception = exception
    120:         end

### Public Instance methods

expectation_not_met?()

[Source]

         # File lib/spec/runner/reporter.rb, line 136
    136:         def expectation_not_met?
    137:           @exception.is_a?(Spec::Expectations::ExpectationNotMetError)
    138:         end

header()

[Source]

         # File lib/spec/runner/reporter.rb, line 122
    122:         def header
    123:           if expectation_not_met?
    124:             "'#{example_name}' FAILED"
    125:           elsif pending_fixed?
    126:             "'#{example_name}' FIXED"
    127:           else
    128:             "#{@exception.class.name} in '#{example_name}'"
    129:           end
    130:         end

pending_fixed?()

[Source]

         # File lib/spec/runner/reporter.rb, line 132
    132:         def pending_fixed?
    133:           @exception.is_a?(Spec::Example::PendingExampleFixedError)
    134:         end

### Protected Instance methods

example_name()

[Source]

         # File lib/spec/runner/reporter.rb, line 141
    141:         def example_name
    142:           @example.__full_description
    143:         end

[Validate]